package com.jevon.enums;

/**
 * @author chen
 * @version 1.0
 * @date 2019/10/18 0018 8:40
 */
public enum DifficultEnums {

    easy(1,"易","认知"),
    medium(2,"中","理解"),
    difficult(3,"难","应用");

    private int difficultType ;
    private String difficultName ;
    private String difficultShow ;

    DifficultEnums(int difficultType, String difficultName, String difficultShow) {
        this.difficultType = difficultType;
        this.difficultName = difficultName;
        this.difficultShow = difficultShow;
    }

    public String getDifficultShow() {
        return difficultShow;
    }

    public void setDifficultShow(String difficultShow) {
        this.difficultShow = difficultShow;
    }

    public int getDifficultType() {
        return difficultType;
    }

    public void setDifficultType(int difficultType) {
        this.difficultType = difficultType;
    }

    public String getDifficultName() {
        return difficultName;
    }

    public void setDifficultName(String difficultName) {
        this.difficultName = difficultName;
    }

    public static int getDifficultType(String difficultName){
        for (DifficultEnums difficultEnums : DifficultEnums.values()) {
            if (difficultEnums.getDifficultName().equals(difficultName)) {
                return difficultEnums.getDifficultType();
            }
        }
        return 0 ;
    }

    public static String getDifficultName(int difficultType){
        for (DifficultEnums difficultEnums : DifficultEnums.values()) {
            if (difficultEnums.getDifficultType() == difficultType) {
                return difficultEnums.getDifficultName();
            }
        }
        return "" ;
    }
}
