package com.jevon.enums;

/**
 * @author chen
 * @version 1.0
 * @date 2019/10/18 0018 8:33
 */
public enum DimensionalEnums {
    knowledge(1,"知识点"),
    ability(2,"能力"),
    skill(3,"技能"),
    think(4,"四维");

    private int dimensionalType ;
    private String dimensionalName ;

    DimensionalEnums(int dimensionalType, String dimensionalName) {
        this.dimensionalType = dimensionalType;
        this.dimensionalName = dimensionalName;
    }

    public int getDimensionalType() {
        return dimensionalType;
    }

    public void setDimensionalType(int dimensionalType) {
        this.dimensionalType = dimensionalType;
    }

    public String getDimensionalName() {
        return dimensionalName;
    }

    public void setDimensionalName(String dimensionalName) {
        this.dimensionalName = dimensionalName;
    }
}
