package com.jevon.mapper;

import com.jevon.model.ClassCourse;

import java.util.List;

public interface ClassCourseMapper {

    int updateByPrimaryKey(ClassCourse record);

    int insertBatch(List<ClassCourse> list);

    ClassCourse selectClassCourse(ClassCourse classCourse);

    int selectSingleOrDouble(ClassCourse classCourse);

    int selectMaxCourseNumber(ClassCourse classCourse);

    List<ClassCourse> selectByClassIdAndSingleOrDouble(ClassCourse classCourse);

    List<ClassCourse> selectCourseByClassIdAndWeek(ClassCourse classCourse);

    int updatePublicOreElective(ClassCourse classCourse);

    List<ClassCourse> selectNoCourse(ClassCourse classCourse);

    List<ClassCourse> selectWeekCourse(ClassCourse classCourse);

    List<ClassCourse> selectClassCourseByClass(ClassCourse classCourse);

    int deleteBySchoolIdAndTeam(ClassCourse classCourse);

    int recallClassCourse(ClassCourse classCourse);

    List<ClassCourse> copyClassCourse(ClassCourse classCourse);
}