package com.jevon.mapper;

import com.jevon.model.TeacherCourse;

import java.util.List;

public interface TeacherCourseMapper {

    int updateByPrimaryKey(TeacherCourse record);

    int insertBatch(List<TeacherCourse> list);

    int selectTeacherDayCourseNumber(TeacherCourse teacherCourse);

    TeacherCourse selectTeacherCourse(TeacherCourse teacherCourse);

    int updateTeacherCourse(TeacherCourse teacherCourse);

    int isCreateCourse(TeacherCourse teacherCourse);

    int deleteBySchoolIdAndTeam(TeacherCourse teacherCourse);

    int recallTeacherCourse(TeacherCourse teacherCourse);

    List<TeacherCourse> selectBySchoolIdAndTeam(TeacherCourse teacherCourse);
}