package com.jevon.model;

import com.jevon.vo.excel.ScoreExcelVo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author chen
 * @version 1.0
 * @date 2019/10/18 0018 13:38
 */
public class Student implements Serializable {

    private int id ;
    private int openId;
    private String schoolName ;
    private String className ;
    private String studentName ;
    private String studentNumber ;
    private int analyseId ;
    private double score ;
    private Date createTime ;

    private double begin ;
    private double end ;
    private List<String> schoolNames ;

    public Student(ScoreExcelVo scoreExcelVo) {
        this.schoolName = scoreExcelVo.getSchoolName();
        this.className = scoreExcelVo.getClassName();
        this.studentName = scoreExcelVo.getStudentName();
        this.studentNumber = scoreExcelVo.getStudentNumber();
        this.score = new Double(scoreExcelVo.getScore());
    }

    public Student() {
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getOpenId() {
        return openId;
    }

    public void setOpenId(int openId) {
        this.openId = openId;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentNumber() {
        return studentNumber;
    }

    public void setStudentNumber(String studentNumber) {
        this.studentNumber = studentNumber;
    }

    public int getAnalyseId() {
        return analyseId;
    }

    public void setAnalyseId(int analyseId) {
        this.analyseId = analyseId;
    }

    public double getScore() {
        return score;
    }

    public void setScore(double score) {
        this.score = score;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public double getBegin() {
        return begin;
    }

    public void setBegin(double begin) {
        this.begin = begin;
    }

    public double getEnd() {
        return end;
    }

    public void setEnd(double end) {
        this.end = end;
    }

    public List<String> getSchoolNames() {
        return schoolNames;
    }

    public void setSchoolNames(List<String> schoolNames) {
        this.schoolNames = schoolNames;
    }
}
