package com.jevon.service;

import com.jevon.model.ClassModel;

import java.util.List;

/**
 * @author chen
 * @version 1.0
 * @date 2019/9/25 0025 8:59
 */
public interface ClassModelService {

    ClassModel selectByPrimaryKey(Integer classId);

    int insertBatch(List<ClassModel> list);

    ClassModel selectBySchoolIdAndClassNameAndGrade(ClassModel classModel);

    List<ClassModel> selectBySchoolId(int schoolId);

    List<ClassModel> selectBySchoolIdAndGrade(int schoolId , String grade);

    int deleteSchool(int schoolId);
}
