package com.jevon.service;

import com.jevon.model.Student;

import java.util.List;

/**
 * @author chen
 * @version 1.0
 * @date 2019/10/18 0018 15:16
 */
public interface StudentService {

    int insertBatch(List<Student> list);

    Student selectStudent(int analyseId , String schoolName , String studentNumber);

    public List<Student> selectBySchoolName(int analyseId,List<String> league , String schoolName);

    List<Student> selectByClassName(int analyseId , String schoolName ,String className);

    public int selectCountByScore(int analyseId,  List<String> league , String schoolName, double begin, double end);

    int selectCountBySchoolScore(int analyseId , String schoolName ,String className , double begin , double end);

    List<String> selectClassNameBySchool(int analyseId , String schoolName);

    List<String> selectSchoolNameByAnalyse(int analyseId);

    Double selectClassMaxScore(int analyseId ,String schoolName , String className);

    Double selectMaxScore(int analyseId, List<String> league ,String schoolName);

    Double selectMinScore(int analyseId, List<String> league ,String schoolName);

    Double selectAvgScore(int analyseId, List<String> league ,String schoolName);
    //众数
    Double selectModeNumber(int analyseId,List<String> league , String schoolName);
    //中位数
    Double selectMedian(int analyseId,List<String> league , String schoolName);
    //标准差
    Double selectStdev(int analyseId,List<String> league , String schoolName);
}
