package com.jevon.service;

import com.jevon.model.TeacherCourse;

import java.util.List;

/**
 * @author chen
 * @version 1.0
 * @date 2019/9/25 0025 14:45
 */
public interface TeacherCourseService {

    int insertBatch(List<TeacherCourse> list);

    int updateByPrimaryKey(TeacherCourse record);

    //更新老师某一天某一节课
    int updateTeacherCourse(TeacherCourse teacherCourse);

    //查询老师某一天某一节课
    TeacherCourse selectTeacherCourse(TeacherCourse teacherCourse);

    //查询老师某一天课程数
    int selectTeacherDayCourseNumber(TeacherCourse teacherCourse);

    //查询老师是否已创建课表
    int isCreateCourse(TeacherCourse teacherCourse);

    //删除排课计划数据
    int deleteBySchoolIdAndTeam(int schoolId , String team);

    //撤回
    int recallTeacherCourse(TeacherCourse teacherCourse);

    List<TeacherCourse> selectBySchoolIdAndTeam(int schoolId , String team);

}
