package com.jevon.service.impl;

import com.jevon.mapper.AnalyseDimensionalMapper;
import com.jevon.model.AnalyseDimensional;
import com.jevon.service.AnalyseDimensionalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * @author chen
 * @version 1.0
 * @date 2019/10/18 0018 11:27
 */
@Service
public class AnalyseDimensionalServiceImpl implements AnalyseDimensionalService {

    @Autowired
    AnalyseDimensionalMapper analyseDimensionalMapper;

    @Override
    public int insertBatch(List<AnalyseDimensional> list) {
        int i = 0 ;
        List<AnalyseDimensional> result = new ArrayList<>();
        for(AnalyseDimensional analyseDetail :list){
            i++ ;
            result.add(analyseDetail);
            if(i % 100 == 0){
                analyseDimensionalMapper.insertBatch(result);
                result = new ArrayList<>();
            }
        }
        if(result.size() > 0){
            analyseDimensionalMapper.insertBatch(result);
        }
        return  1 ;
    }

    @Override
    public List<AnalyseDimensional> selectByDimensional(int analyseId, int dimensionalId) {
        AnalyseDimensional analyseDimensional = new AnalyseDimensional();
        analyseDimensional.setAnalyseId(analyseId);
        analyseDimensional.setDimensionalId(dimensionalId);
        return analyseDimensionalMapper.selectByDimensional(analyseDimensional);
    }
}
