package com.jevon.service.impl;

import com.jevon.mapper.AnalyseMapper;
import com.jevon.model.Analyse;
import com.jevon.service.AnalyseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author chen
 * @version 1.0
 * @date 2019/10/18 0018 10:59
 */
@Service
public class AnalyseServiceImpl implements AnalyseService {

    @Autowired
    AnalyseMapper analyseMapper;

    @Override
    public int insert(Analyse analyse) {
        return analyseMapper.insert(analyse);
    }

    @Override
    public List<Analyse> select(Analyse analyse) {
        return analyseMapper.select(analyse);
    }

    @Override
    public Analyse selectById(int id) {
        return analyseMapper.selectById(id);
    }

    @Override
    public int update(Analyse analyse) {
        return analyseMapper.update(analyse);
    }

    @Override
    public int updateChapter(int id, String examTime, String examScope) {
        Analyse analyse = new Analyse();
        analyse.setId(id);
        analyse.setExamTime(examTime);
        analyse.setExamScope(examScope);
        return analyseMapper.updateChapter(analyse);
    }
}
