package com.jevon.vo.excel;

import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellType;
import org.apache.poi.ss.usermodel.Row;

/**
 * @author chen
 * @version 1.0
 * @date 2019/10/18 0018 13:50
 */
public class ScoreExcelVo extends ExcelVo {

    private String schoolName ;
    private String className ;
    private String studentNumber ;
    private String studentName ;
    private String courseName ;
    private String score ;

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getStudentNumber() {
        return studentNumber;
    }

    public void setStudentNumber(String studentNumber) {
        this.studentNumber = studentNumber;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getScore() {
        return score;
    }

    public void setScore(String score) {
        this.score = score;
    }

    public ScoreExcelVo(Row sheetRow) {
        super(sheetRow);
        Cell cell1 = sheetRow.getCell(1);
        if(cell1 != null){
            cell1.setCellType(CellType.STRING);
            this.schoolName = cell1.getStringCellValue().trim();
        }
        Cell cell2 = sheetRow.getCell(2);
        if(cell2 != null){
            cell2.setCellType(CellType.STRING);
            this.className = cell2.getStringCellValue().trim();
        }
        Cell cell3 = sheetRow.getCell(3);
        if(cell3 != null){
            cell3.setCellType(CellType.STRING);
            this.studentNumber = cell3.getStringCellValue().trim();
        }
        Cell cell4 = sheetRow.getCell(4);
        if(cell4 != null){
            cell4.setCellType(CellType.STRING);
            this.studentName = cell4.getStringCellValue().trim();
        }
        Cell cell5 = sheetRow.getCell(5);
        if(cell5 != null){
            cell5.setCellType(CellType.STRING);
            this.courseName = cell5.getStringCellValue().trim();
        }
        Cell cell6 = sheetRow.getCell(6);
        if(cell6 != null){
            cell6.setCellType(CellType.STRING);
            this.score = cell6.getStringCellValue().trim();
        }
    }
}
