package com.jevon.vo.rep;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @author chen
 * @version 1.0
 * @date 2019/10/23 0023 9:04
 */
@ApiModel
public class SuggestRepVo {
    @ApiModelProperty(value = "总体情况")
    private String assess ;
    @ApiModelProperty(value = "难度系数")
    private String difficultyDegree ;
    @ApiModelProperty(value = "优秀率")
    private String excellentRate ;
    @ApiModelProperty(value = "知识点得分率不到50%的")
    private List<String> lessKnowledgeList ;
    @ApiModelProperty(value = "知识点得分率不到70%")
    private List<String> midKnowledgeList ;
    @ApiModelProperty(value = "学习能力得分率＜69%")
    private List<String> lessAbilityList ;
    @ApiModelProperty(value = "学习能力得分率在70%≤η＜80%")
    private List<String> midAbilityList ;
    @ApiModelProperty(value = "学习能力得分率≥80%")
    private List<String> highAbilityList ;
    @ApiModelProperty(value = "探究技能方面得分率＜69%")
    private List<String> lessSkillList ;
    @ApiModelProperty(value = "探究技能方面得分率在70%≤η＜80%")
    private List<String> midSkillList ;
    @ApiModelProperty(value = "探究技能方面得分率≥80%")
    private List<String> highSkillList ;
    @ApiModelProperty(value = "选择题错误率>15%")
    private List<String> errorList ;

    public List<String> getErrorList() {
        return errorList;
    }

    public void setErrorList(List<String> errorList) {
        this.errorList = errorList;
    }

    public String getAssess() {
        return assess;
    }

    public void setAssess(String assess) {
        this.assess = assess;
    }

    public String getDifficultyDegree() {
        return difficultyDegree;
    }

    public void setDifficultyDegree(String difficultyDegree) {
        this.difficultyDegree = difficultyDegree;
    }

    public String getExcellentRate() {
        return excellentRate;
    }

    public void setExcellentRate(String excellentRate) {
        this.excellentRate = excellentRate;
    }

    public List<String> getLessKnowledgeList() {
        return lessKnowledgeList;
    }

    public void setLessKnowledgeList(List<String> lessKnowledgeList) {
        this.lessKnowledgeList = lessKnowledgeList;
    }

    public List<String> getMidKnowledgeList() {
        return midKnowledgeList;
    }

    public void setMidKnowledgeList(List<String> midKnowledgeList) {
        this.midKnowledgeList = midKnowledgeList;
    }

    public List<String> getLessAbilityList() {
        return lessAbilityList;
    }

    public void setLessAbilityList(List<String> lessAbilityList) {
        this.lessAbilityList = lessAbilityList;
    }

    public List<String> getMidAbilityList() {
        return midAbilityList;
    }

    public void setMidAbilityList(List<String> midAbilityList) {
        this.midAbilityList = midAbilityList;
    }

    public List<String> getHighAbilityList() {
        return highAbilityList;
    }

    public void setHighAbilityList(List<String> highAbilityList) {
        this.highAbilityList = highAbilityList;
    }

    public List<String> getLessSkillList() {
        return lessSkillList;
    }

    public void setLessSkillList(List<String> lessSkillList) {
        this.lessSkillList = lessSkillList;
    }

    public List<String> getMidSkillList() {
        return midSkillList;
    }

    public void setMidSkillList(List<String> midSkillList) {
        this.midSkillList = midSkillList;
    }

    public List<String> getHighSkillList() {
        return highSkillList;
    }

    public void setHighSkillList(List<String> highSkillList) {
        this.highSkillList = highSkillList;
    }
}
