package com.jevon.mapper;

import com.jevon.model.Student;

import java.util.List;

/**
 * @author chen
 * @version 1.0
 * @date 2019/10/18 0018 13:42
 */
public interface StudentMapper {

    int insertBatch(List<Student> list);

    Student selectStudent(Student student);

    List<Student> selectByStudent(Student student);

    int selectCountByScore(Student student);

    List<String> selectClassNameBySchool(Student student);

    List<String> selectSchoolNameByAnalyse(int analyseId);

    //最高分
    Double selectMaxScore(Student student);
    //最低分
    Double selectMinScore(Student student);
    //平均分
    Double selectAvgScore(Student student);
    //众数
    List<Double> selectModeNumber(Student student);
    //中位数
    Double selectMedian(Student student);
    //标准差
    Double selectStdev(Student student);

}
