package com.jevon.mapper;

import com.jevon.model.TeacherClass;

import java.util.List;

public interface TeacherClassMapper {

    int insert(TeacherClass record);

    int updateByPrimaryKey(TeacherClass record);

    int insertBatch(List<TeacherClass> teacherClasses);

    int deleteBySchoolAndTeam(TeacherClass teacherClass);

    int updateSchedule(int tClassId);

    int selectHasSchedule(TeacherClass teacherClass);

    int recallTeacherClass(int tClassId);


    List<TeacherClass> selectByTeacherClass(TeacherClass teacherClass);
}