package com.jevon.model;

import com.jevon.vo.excel.ScoreExcelVo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author chen
 * @version 1.0
 * @date 2019/10/18 0018 13:38
 */
public class StudentDetail implements Serializable {

    private long id ;
    private int openId;
    private String schoolName ;
    private String className ;
    private String studentName ;
    private String studentNumber ;
    private int analyseId ;
    private String examNumber ;
    private Double score ;
    private Date createTime ;
    private int correct ; //1 正确 0 错误

    //查询用 高分段 低分段学生考号
    private List<String> studentNumbers ;
    private List<String> schoolNames ;
    private List<String> examNumbers ;

    public StudentDetail(ScoreExcelVo scoreExcelVo) {
        this.schoolName = scoreExcelVo.getSchoolName();
        this.className = scoreExcelVo.getClassName();
        this.studentName = scoreExcelVo.getStudentName();
        this.studentNumber = scoreExcelVo.getStudentNumber();
    }

    public StudentDetail() {
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public int getOpenId() {
        return openId;
    }

    public void setOpenId(int openId) {
        this.openId = openId;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentNumber() {
        return studentNumber;
    }

    public void setStudentNumber(String studentNumber) {
        this.studentNumber = studentNumber;
    }

    public int getAnalyseId() {
        return analyseId;
    }

    public void setAnalyseId(int analyseId) {
        this.analyseId = analyseId;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public List<String> getStudentNumbers() {
        return studentNumbers;
    }

    public void setStudentNumbers(List<String> studentNumbers) {
        this.studentNumbers = studentNumbers;
    }

    public List<String> getSchoolNames() {
        return schoolNames;
    }

    public void setSchoolNames(List<String> schoolNames) {
        this.schoolNames = schoolNames;
    }

    public List<String> getExamNumbers() {
        return examNumbers;
    }

    public void setExamNumbers(List<String> examNumbers) {
        this.examNumbers = examNumbers;
    }

    public int getCorrect() {
        return correct;
    }

    public void setCorrect(int correct) {
        this.correct = correct;
    }
}
