package com.jevon.service;

import com.jevon.model.Course;

import java.util.List;

/**
 * @author chen
 * @version 1.0
 * @date 2019/10/9 0009 9:44
 */
public interface CourseService {

    int insertBatch(List<Course> list);

    List<Course> selectBySchoolId(int schoolId);

    List<Course> selectBySchoolId2(int schoolId);

    List<Course> selectByCourse(Course course);

    Course selectBySchoolIdAndCourseId(int schoolId , int courseId);

    Course selectBySchoolIdAndCourseName(int schoolId , String courseName);

    int updateCourseType(int courseId , int courseType , int schoolId);

    int deleteSchoolId(int schoolId);

    int initSchoolId(int schoolId);

}
