package com.jevon.service.impl;

import com.jevon.mapper.ChapterMapper;
import com.jevon.model.Chapter;
import com.jevon.service.ChapterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author chen
 * @version 1.0
 * @date 2019/10/24 0024 9:09
 */
@Service
public class ChapterServiceImpl implements ChapterService {

    @Autowired
    ChapterMapper chapterMapper;

    @Override
    public int insertBatch(List<Chapter> list) {
        return chapterMapper.insertBatch(list);
    }

    @Override
    public List<Chapter> selectByAnalyse(int analyseId) {
        return chapterMapper.selectByAnalyse(analyseId);
    }
}
