package com.jevon.service.impl;

import com.jevon.mapper.KnowledgeMapper;
import com.jevon.model.Knowledge;
import com.jevon.service.KnowledgeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author chen
 * @version 1.0
 * @date 2019/11/4 0004 11:52
 */
@Service
public class KnowledgeServiceImpl implements KnowledgeService {

    @Autowired
    KnowledgeMapper knowledgeMapper ;

    @Override
    public int insertBatch(List<Knowledge> list) {
        return knowledgeMapper.insertBatch(list);
    }

    @Override
    public Knowledge selectByKnowledge(String knowledge) {
        return knowledgeMapper.selectByKnowledge(knowledge);
    }

    @Override
    public List<Knowledge> selectAll() {
        return knowledgeMapper.selectAll();
    }
}
