package com.jevon.service.impl;

import com.jevon.mapper.TeacherMapper;
import com.jevon.model.Teacher;
import com.jevon.service.TeacherService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author chen
 * @version 1.0
 * @date 2019/10/9 0009 13:59
 */
@Service("teacherService")
public class TeacherServiceImpl implements TeacherService {

    @Autowired
    TeacherMapper teacherMapper;

    @Override
    public int insertBatch(List<Teacher> list) {
        return teacherMapper.insertBatch(list);
    }

    @Override
    public List<Teacher> selectBySchoolId(int schoolId) {
        return teacherMapper.selectBySchoolId(schoolId);
    }

    @Override
    public int deleteSchool(int schoolId) {
        return teacherMapper.deleteSchool(schoolId);
    }

    @Override
    public Teacher selectByTeacher(Teacher teacher) {
        return teacherMapper.selectByTeacher(teacher).get(0);
    }

}
