package com.jevon.vo.school;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @author chen
 * @version 1.0
 * @date 2019/10/21 0021 9:59
 */
@ApiModel
public class Form5 implements Serializable {
    @ApiModelProperty(value="题号")
    private String examNumber ;
    @ApiModelProperty(value="难度")
    private String difficultName ;
    @ApiModelProperty(value="分值")
    private Double score ;
    @ApiModelProperty(value="得分率 区")
    private Double allRate ;
    @ApiModelProperty(value="得分率 联盟校")
    private Double leagueRate ;
    @ApiModelProperty(value="得分率  本校")
    private Double schoolRate ;
    @ApiModelProperty(value="平均分 区")
    private Double allAvg ;
    @ApiModelProperty(value="平均分  联盟校")
    private Double leagueAvg ;
    @ApiModelProperty(value="平均分 本校")
    private Double schoolAvg ;
    @ApiModelProperty(value="区分度   区")
    private Double allDist ;
    @ApiModelProperty(value="区分度  联盟校")
    private Double leagueDist ;
    @ApiModelProperty(value="区分度 本校")
    private Double schoolDist ;


    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Double getAllRate() {
        return allRate;
    }

    public void setAllRate(Double allRate) {
        this.allRate = allRate;
    }

    public Double getSchoolRate() {
        return schoolRate;
    }

    public void setSchoolRate(Double schoolRate) {
        this.schoolRate = schoolRate;
    }

    public Double getAllAvg() {
        return allAvg;
    }

    public void setAllAvg(Double allAvg) {
        this.allAvg = allAvg;
    }

    public Double getSchoolAvg() {
        return schoolAvg;
    }

    public void setSchoolAvg(Double schoolAvg) {
        this.schoolAvg = schoolAvg;
    }

    public Double getAllDist() {
        return allDist;
    }

    public void setAllDist(Double allDist) {
        this.allDist = allDist;
    }

    public Double getSchoolDist() {
        return schoolDist;
    }

    public void setSchoolDist(Double schoolDist) {
        this.schoolDist = schoolDist;
    }

    public String getDifficultName() {
        return difficultName;
    }

    public void setDifficultName(String difficultName) {
        this.difficultName = difficultName;
    }

    public Double getLeagueRate() {
        return leagueRate;
    }

    public void setLeagueRate(Double leagueRate) {
        this.leagueRate = leagueRate;
    }

    public Double getLeagueAvg() {
        return leagueAvg;
    }

    public void setLeagueAvg(Double leagueAvg) {
        this.leagueAvg = leagueAvg;
    }

    public Double getLeagueDist() {
        return leagueDist;
    }

    public void setLeagueDist(Double leagueDist) {
        this.leagueDist = leagueDist;
    }
}
