package com.jevon.vo.school;

import com.jevon.model.Chapter;
import com.jevon.vo.BaseVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @author chen
 * @version 1.0
 * @date 2019/10/24 0024 9:20
 */
@ApiModel
public class Form7RepVO extends BaseVo {

    @ApiModelProperty(value = "举例七年级上册")
    private String examScope ;
    @ApiModelProperty(value = "科目")
    private String courseName ;
    @ApiModelProperty(value = "满分")
    private Double maxScore ;
    @ApiModelProperty(value = "考试时长")
    private String examTime ;
    @ApiModelProperty(value = "章节列表对应分值")
    private List<Chapter> list ;
    @ApiModelProperty(value = "难度列表对应分值")
    private List<Form7> difficultList ;
    @ApiModelProperty(value = "题型类型对应分值")
    private List<Form7> typeList ;

    public String getExamScope() {
        return examScope;
    }

    public void setExamScope(String examScope) {
        this.examScope = examScope;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public List<Chapter> getList() {
        return list;
    }

    public void setList(List<Chapter> list) {
        this.list = list;
    }

    public List<Form7> getDifficultList() {
        return difficultList;
    }

    public void setDifficultList(List<Form7> difficultList) {
        this.difficultList = difficultList;
    }

    public List<Form7> getTypeList() {
        return typeList;
    }

    public void setTypeList(List<Form7> typeList) {
        this.typeList = typeList;
    }

    public Double getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(Double maxScore) {
        this.maxScore = maxScore;
    }

    public String getExamTime() {
        return examTime;
    }

    public void setExamTime(String examTime) {
        this.examTime = examTime;
    }
}
